<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Izg project: PhongData Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Izg project
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle">
<div class="title">PhongData Struct Reference<div class="ingroups"><a class="el" href="group__cpu__side.html">Úkoly v cpu části</a></div></div>  </div>
</div><!--header-->
<div class="contents">

<p>This struct holds all variables of phong method.  
 <a href="structPhongData.html#details">More...</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:abe8d787c8d298a58614c7d98dbf43a91"><td class="memItemLeft" align="right" valign="top"><a class="el" href="student_2fwd_8h.html#a15e62786033208aec9487a51e808f81d">ProgramID</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structPhongData.html#abe8d787c8d298a58614c7d98dbf43a91">prg</a></td></tr>
<tr class="memdesc:abe8d787c8d298a58614c7d98dbf43a91"><td class="mdescLeft">&#160;</td><td class="mdescRight">program  <a href="#abe8d787c8d298a58614c7d98dbf43a91">More...</a><br /></td></tr>
<tr class="separator:abe8d787c8d298a58614c7d98dbf43a91"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab4fea966d31bc380ac251333b886dc78"><td class="memItemLeft" align="right" valign="top"><a id="ab4fea966d31bc380ac251333b886dc78"></a>
<a class="el" href="student_2fwd_8h.html#a23828e2281a794e193ebaf0df3e1f17c">VertexPullerID</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structPhongData.html#ab4fea966d31bc380ac251333b886dc78">vao</a></td></tr>
<tr class="memdesc:ab4fea966d31bc380ac251333b886dc78"><td class="mdescLeft">&#160;</td><td class="mdescRight">vertex puller <br /></td></tr>
<tr class="separator:ab4fea966d31bc380ac251333b886dc78"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a53b7db465026f1e4416e7265ea875e47"><td class="memItemLeft" align="right" valign="top"><a id="a53b7db465026f1e4416e7265ea875e47"></a>
<a class="el" href="student_2fwd_8h.html#a60a12bf4868ebe47cc571ce96a03f99c">BufferID</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structPhongData.html#a53b7db465026f1e4416e7265ea875e47">vbo</a></td></tr>
<tr class="memdesc:a53b7db465026f1e4416e7265ea875e47"><td class="mdescLeft">&#160;</td><td class="mdescRight">vertex buffer object <br /></td></tr>
<tr class="separator:a53b7db465026f1e4416e7265ea875e47"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0b6482c1de95c6850fe9c7b6834760c8"><td class="memItemLeft" align="right" valign="top"><a id="a0b6482c1de95c6850fe9c7b6834760c8"></a>
<a class="el" href="student_2fwd_8h.html#a60a12bf4868ebe47cc571ce96a03f99c">BufferID</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structPhongData.html#a0b6482c1de95c6850fe9c7b6834760c8">ebo</a></td></tr>
<tr class="memdesc:a0b6482c1de95c6850fe9c7b6834760c8"><td class="mdescLeft">&#160;</td><td class="mdescRight">element buffer object <br /></td></tr>
<tr class="separator:a0b6482c1de95c6850fe9c7b6834760c8"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>This struct holds all variables of phong method. </p>
</div><h2 class="groupheader">Field Documentation</h2>
<a id="abe8d787c8d298a58614c7d98dbf43a91"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abe8d787c8d298a58614c7d98dbf43a91">&#9670;&nbsp;</a></span>prg</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="student_2fwd_8h.html#a15e62786033208aec9487a51e808f81d">ProgramID</a> PhongData::prg</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>program </p>
<dl class="todo"><dt><b><a class="el" href="todo.html#_todo000007">Todo:</a></b></dt><dd>Zde si vytvořte proměnné, které budete potřebovat (id bufferů, programu, ...) </dd></dl>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>student/phongMethod.c</li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Tue Apr 23 2019 13:21:21 for Izg project by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
